<?php



namespace App\Filters;



use CodeIgniter\HTTP\RequestInterface;

use CodeIgniter\HTTP\ResponseInterface;

use CodeIgniter\Filters\FilterInterface;



class Login implements FilterInterface {



	public function before(RequestInterface $request, $arguments = null) {

        // if user logged in

        if( session()->get('logged_in')){

            // then redirct to dashboard page

            return redirect()->to('/user/dashboard'); 

    	}

    }



    public function after(RequestInterface $request, ResponseInterface $response, $arguments = null) {

        // Do something here

    }

   

}